<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.zdsz.mapper.ZEngineeringDangerousMapper">

    <resultMap type="com.ruoyi.zdsz.domain.ZEngineeringDangerous" id="ZEngineeringDangerousResult">
        <result property="id" column="id"/>
        <result property="basicInformation" column="basic_information"/>
        <result property="enginName" column="engin_name"/>
        <result property="enginAddre" column="engin_addre"/>
        <result property="enginTime" column="engin_time"/>
        <result property="pipeDiameter" column="pipe_diameter"/>
        <result property="tubularProduct" column="tubular_product"/>
        <result property="casingPresent" column="casing_present"/>
        <result property="pipePressure" column="pipe_pressure"/>
        <result property="gasSourceDirection" column="gas_source_direction"/>
        <result property="taskPosition" column="task_position"/>
        <result property="valvePosition" column="valve_position"/>
        <result property="stressReport" column="stress_report"/>
        <result property="supervisionRecord" column="supervision_record"/>
        <result property="workContactForm" column="work_contact_form"/>
        <result property="linePatrolConfirmationForm" column="line_patrol_confirmation_form"/>
        <result property="hazardousWorkPitsLong" column="hazardous_work_pits_long"/>
        <result property="hazardousWorkPitsWide" column="hazardous_work_pits_wide"/>
        <result property="hazardousWorkPitsDeep" column="hazardous_work_pits_deep"/>
        <result property="needSupport" column="need_support"/>
        <result property="otherPipelineConditionsWorkPit" column="other_pipeline_conditions_work_pit"/>
        <result property="siteHead" column="site_head"/>
        <result property="siteHeadPhone" column="site_head_phone"/>
        <result property="operatorInformation" column="operator_information"/>
        <result property="inspectionPort" column="inspection_port"/>
        <result property="pipelinePainting" column="pipeline_painting"/>
        <result property="pipelineSupport" column="pipeline_support"/>
        <result property="pipelineCorrosionProtection" column="pipeline_corrosion_protection"/>
        <result property="masonryValveWell" column="masonry_valve_well"/>
        <result property="protectionWell" column="protection_well"/>
        <result property="pipeProtectionWelMasonry" column="pipe_protection_wel_masonry"/>
        <result property="backfill" column="backfill"/>
        <result property="tamp" column="tamp"/>
        <result property="levelingTheSite" column="leveling_the_site"/>
        <result property="version" column="version"/>
        <result property="remark" column="remark"/>
        <result property="delFlag" column="del_flag"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>

    <select id="selectIdByCid" resultType="string">
        select id from z_engineering_node where civli_id = #{id}
    </select>
</mapper>
